## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences

### Try it
#### Get Sentences

**cURL**
```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences \
  --header 'X-API-Key: <api-key>'
```

**Python**
```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

**JavaScript (Fetch)**
```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**
```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

**Go**
```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

**Java (Unirest)**
```java
HttpResponse<String> response = Unirest.get("https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences")
  .header("X-API-Key", "<api-key>")
  .asString();
```

**Ruby**
```ruby
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Response Status Codes

| Status Code | Description |
|-------------|-------------|
| 200         | Success     |
| 400         | Bad Request  |
| 401         | Unauthorized |
| 402         | Payment Required |
| 403         | Forbidden    |
| 404         | Not Found    |
| 405         | Method Not Allowed |
| 409         | Conflict     |
| 413         | Payload Too Large |
| 500         | Internal Server Error |
| 501         | Not Implemented |
| 502         | Bad Gateway  |
| 503         | Service Unavailable |
| 504         | Gateway Timeout |

### Authorizations

**APIKeyHeader**  
X-API-Key  
Type: string  
Location: header  
Required: Yes  
Description: Supply the API Key in the HTTP-Header

### Headers

| Header Name | Type   | Description |
|-------------|--------|-------------|
| Accept      | enum<string> | The `Accept` header specifies the media types that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`. |

### Path Parameters

| Parameter Name | Type   | Required | Description |
|----------------|--------|----------|-------------|
| localeId      | string | Yes      | The unique identifier for the Locale. Required string length: `24`. Pattern: `^[a-z0-9]{24}$`. |
| intentId      | string | Yes      | The unique identifier for the Intent. Required string length: `24`. Pattern: `^[a-z0-9]{24}$`. |

### Query Parameters

| Parameter Name | Type     | Description |
|----------------|----------|-------------|
| filter         | string   | The string to filter Yes/No Example Sentences by text. |
| limit          | integer  | The maximum number of items to return. Use this parameter to control page size. The default value is 25, and the maximum permitted value is 100. Required range: `1 <= x <= 100`. |
| skip           | integer  | The number of items to skip before returning the results. Use this parameter with `limit` for offset-based pagination. The default value is 0. Required range: `x >= 0`. |
| sort           | string   | The order in which results are returned. Set a sorting rule in the format `field:direction`, where direction can be `asc` for ascending order or `desc` for descending order. Minimum string length: `1`. |
| next           | string   | The cursor that points to the next page of results. Use the `nextCursor` value returned in a previous response to request the next set of items. Required string length: `24`. |
| previous       | string   | The cursor that points to the previous page of results. Use the `previousCursor` value returned in a previous response to request the previous set of items. Required string length: `24`. |

### Response Structure

- **items** (array of objects): The sentences retrieved.
  - **text**: The text of the sentence.
  - **localeReference**: Reference to the locale.
  - **slots**: Array of slot objects associated with the sentence.
    - **tagReference**: Reference to the tag.
    - **lexiconReference**: Reference to the lexicon.
  - **feedbackReport**: Feedback report for the sentence.
    - **findings**: Findings relevant to the sentence.
    - **info**: Information related to the intent.
  - **_id**: The unique ID for the sentence.
  - **createdAt**: Timestamp of creation.
  - **lastChanged**: Timestamp of last change.
  - **createdBy**: User who created the sentence.
  - **lastChangedBy**: User who last changed the sentence.

- **total**: The total number of sentences returned.
- **nextCursor**: Cursor for pagination to the next set of items. 
- **previousCursor**: Cursor for pagination to the previous set of items.
